> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete price by ID

> Deletes a price in the service by item identifier or its SKU.



## OpenAPI

````yaml offers_v1 delete /api-price/price/{priceId}
openapi: 3.0.0
info:
  description: >-
    fabric e-commerce Offers APIs allow you to to set up and manage stock
    keeping unit (SKU) prices. Its wide range of coupon and promotion features
    let you design deals ranging from single-use, customer-specific coupons to
    site-wide promotions.
  version: 1.0.0
  title: Offers v1
  contact:
    email: support@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Pricing
    description: Pricing APIs enable you to add price details for one or many items.
  - name: Promotions
    description: >-
      Promotion APIs enable you to apply and verify promotions and discount
      coupons.
  - name: Login API
    description: >-
      Login endpoint generates an authorization token for local users that they
      can use to log into fabric copilot application. <br /><br /> **Note:** A
      local user is someone who has an active account with fabric Inc
externalDocs:
  description: Learn more about Offers
  url: https://fabric.inc/knowledgebase/offers
paths:
  /api-price/price/{priceId}:
    delete:
      tags:
        - Pricing
      summary: Delete price by ID
      description: Deletes a price in the service by item identifier or its SKU.
      operationId: deletePrice
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - in: path
          name: priceId
          description: The mongo objectID, itemId or itemSku of the price to be retrieved
          required: true
          example: 1000011218
          schema:
            type: string
        - in: query
          name: priceListId
          description: PriceListId to get the price from.
          schema:
            type: string
          required: true
          example: 100000
        - in: query
          name: type
          description: The type of id that is provided in path for priceId.
          schema:
            type: string
            enum:
              - id
              - itemId
              - itemSku
          example: itemId
      responses:
        '200':
          description: Returns the deleted price
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/deletePriceReponse'
        '400':
          description: Client error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/clientError'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/serverError'
      security:
        - bearerAuth: []
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    deletePriceReponse:
      type: object
      description: Create Price Response
      properties:
        _id:
          description: ID
          type: string
          example: 616e011037a3810008cfb256
        priceListId:
          description: Price List ID
          type: number
          example: 100000
        isSoftDeleted:
          description: Has been soft deleted
          type: boolean
          example: true
        itemId:
          description: Internal Item ID
          type: number
          example: 1000011218
        itemSku:
          description: Product SKU
          type: string
          example: 1234XYZ
        offerId:
          description: Offer ID
          type: number
          example: 371922
        offers:
          type: array
          description: Offers
          maxItems: 10
          minItems: 1
          items:
            type: object
            description: Item in Offer
            properties:
              kind:
                description: Pricekind Id
                type: number
                example: 12
              channel:
                description: Channel Id
                type: number
                example: 12
              startDate:
                description: Price start date time
                type: string
                format: date-time
                example: '2021-12-30T02:05:00.000Z'
              endDate:
                description: Price end date time
                type: string
                format: date-time
                example: '2099-12-31T00:00:00.000Z'
              price:
                type: object
                description: Price
                properties:
                  base:
                    description: base price of item
                    type: number
                    example: 2000
                  sale:
                    description: sale price of item if any
                    type: number
                    example: 1000
                  cost:
                    description: Cost of Product
                    type: number
                    example: 800
                  currency:
                    description: Currency
                    type: string
                    example: USD
        createdAt:
          type: string
          description: Date and time of creation
          format: date-time
          example: '2021-10-18T23:19:44.852Z'
        updatedAt:
          type: string
          description: Date and time of updated
          format: date-time
          example: '2021-10-19T00:40:30.341Z'
        job:
          description: Job
          type: boolean
    clientError:
      type: object
      properties:
        code:
          description: The error code, meant for machine consumption.
          type: string
          example: 400
        message:
          description: A human-readable description of the error that occurred.
          type: string
          example: SKU cannot be empty
    serverError:
      type: object
      properties:
        code:
          description: The error code, meant for machine consumption.
          type: string
          example: 500
        message:
          description: A human-readable description of the error that occurred.
          type: string
          example: >-
            An internal error occurred. If the issue persists please contact
            support@fabric.inc.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````